import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizorderconfig/` + url, ...arg)

/**
 * 订单配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/04/03 15:13
 **/
export default {
	// 获取订单配置分页
	bizOrderConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交订单配置表单 edit为true时为编辑，默认为新增
	bizOrderConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除订单配置
	bizOrderConfigDelete(data) {
		return request('delete', data)
	},
	// 获取订单配置详情
	bizOrderConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
